Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl.binding.mime
Interface MIMEPart

All Superinterfaces:
  javax.wsdl.extensions.ExtensibilityElement, javax.wsdl.extensions.mime.MIMEPart, java.io.Serializable, WSDLElement

    public interface MIMEPart

extends ExtensibilityElement, javax.wsdl.extensions.mime.MIMEPart

A representation of the model object 'Part'.

The following features are supported:

- `EExtensibility Elements`

See Also:
  `MIMEPackage.getMIMEPart()`

Method Summary
`void` | `addExtensibilityElement(javax.wsdl.extensions.ExtensibilityElement extensibilityElement)`
`EList` | `getEExtensibilityElements()` Returns the value of the 'EExtensibility Elements' containment reference list.
`java.util.List` | `getExtensibilityElements()`

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibilityElement
`getElementType, isRequired, setElementType, setRequired`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getRequired, setRequired`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getRequired, setRequired`

Method Detail

### getEExtensibilityElements

    EList getEExtensibilityElements()

  Returns the value of the 'EExtensibility Elements' containment reference list. The list contents are of type `ExtensibilityElement`.

  If the meaning of the 'EExtensibility Elements' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EExtensibility Elements' containment reference list.
  See Also:
    `MIMEPackage.getMIMEPart_EExtensibilityElements()`

### addExtensibilityElement

    void addExtensibilityElement(javax.wsdl.extensions.ExtensibilityElement extensibilityElement)

  Specified by:
    `addExtensibilityElement` in interface `javax.wsdl.extensions.mime.MIMEPart`

### getExtensibilityElements

    java.util.List getExtensibilityElements()

  Specified by:
    `getExtensibilityElements` in interface `javax.wsdl.extensions.mime.MIMEPart`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD